Bug 961400 - engine: exception for error "Cannot remove logical volume" when restarting vdsm on spm during the syncData step of LSM
engine: exception for error "Cannot remove logical volume" when restarting vd...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Federico Simoncelli
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 10:44 EDT by Dafna Ron
Modified: 2016-02-10 11:43 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:17:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
abaron: Triaged+


Attachments (Terms of Use)
logs (2.67 MB, application/x-gzip)
2013-05-09 10:44 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2013-05-09 10:44:55 EDT
Created attachment 745681 [details]
logs

Description of problem:

I restarted the vdsm on the spm during dataSync step of LSM

when we try to rollback we are getting an exception for vdsm error "Cannot remove logical volume" 

Version-Release number of selected component (if applicable):

sf15
vdsm-4.10.2-17.0.el6ev.x86_64

How reproducible:

100%

Steps to Reproduce:
1. on iscsi storage with two hosts create a vm from template
2. run the vm on the hsm 
3. start LSM on the vm's disk
4. restart vdsm on spm when syncData task is running
  
Actual results:

we rollback and we get exception on  Cannot remove Logical Volume

Expected results:

we should not get an exception

Additional info:logs

2013-05-09 17:28:42,117 WARN  [org.ovirt.engine.core.compat.backendcompat.PropertyInfo] (pool-4-thread-44) Unable to get value of property: glusterVolume for class org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand
2013-05-09 17:28:42,118 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetAllTasksInfoVDSCommand] (QuartzScheduler_Worker-73) [6132c7a0] START, HSMGetAllTasksInfoVDSCommand(HostName = gold-vdsd, HostId = 83834e1f-9e60-41b5-a9cc-164
60a8a2fe2), log id: 12c397cf
2013-05-09 17:28:42,120 WARN  [org.ovirt.engine.core.compat.backendcompat.PropertyInfo] (pool-4-thread-44) Unable to get value of property: vds for class org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand
2013-05-09 17:28:42,133 ERROR [org.ovirt.engine.core.bll.EntityAsyncTask] (pool-4-thread-44) EntityAsyncTask::EndCommandAction [within thread]: EndAction for action type LiveMigrateDisk threw an exception: javax.ejb.EJBException: org.ov
irt.engine.core.common.errors.VdcBLLException: VdcBLLException: org.ovirt.engine.core.vdsbroker.irsbroker.IrsOperationFailedNoFailoverException: IRSGenericException: IRSErrorException: Cannot remove Logical Volume: ('81ef11d0-4c0c-47b4-
8953-d61a6af442d8', "{'da9e81d1-d992-4b2f-ba36-e8f9fb0a48c1': ImgsPar(imgs=['e322e29b-221a-4a44-b182-fd0d74a126c7'], parent='e886fb6e-f91f-46ae-a488-0f24e47f5731'), 'd6689c9c-0a94-4d52-9582-30168d569922': ImgsPar(imgs=['e322e29b-221a-4a
44-b182-fd0d74a126c7'], parent='da9e81d1-d992-4b2f-ba36-e8f9fb0a48c1')}")
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.handleExceptionInNoTx(CMTTxInterceptor.java:191) [jboss-as-ejb3.jar:7.2.0.Final-redhat-3]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:237) [jboss-as-ejb3.jar:7.2.0.Final-redhat-3]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:374) [jboss-as-ejb3.jar:7.2.0.Final-redhat-3]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:218) [jboss-as-ejb3.jar:7.2.0.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3.jar:7.2.0.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [jboss-as-ejb3.jar:7.2.0.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3.jar:7.2.0.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee.jar:7.2.0.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee.jar:7.2.0.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:165) [jboss-as-ee.jar:7.2.0.Final-redhat-3]
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:182) [jboss-as-ee.jar:7.2.0.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:72) [jboss-as-ee.jar:7.2.0.Final-redhat-3]
:
Comment 1 Ayal Baron 2013-09-12 06:34:13 EDT
There have been many changes around this scenario and I believe this should no longer happen
We probably also need to automate this

After discussing with Aharon, moving to ON_QA for verification
Comment 2 Itamar Heim 2014-01-21 17:17:08 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:23:43 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.